You are not logged in.

#1 2022-11-18 07:57:03

owen
Member
Registered: 2022-11-18
Posts: 7

Install ibus encounter issue

Hi,
Some errors show up when I am trying to install ibus. Can anyone help me?

(4/6) Probing GTK3 input method modules...
/usr/bin/gtk-query-immodules-3.0: error while loading shared libraries: libicuuc.so.72: cannot open shared object file: No such file or directory

Offline

#2 2022-11-18 08:12:33

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 18,170

Re: Install ibus encounter issue

Partial updates are unsupported, update your entire system: https://wiki.archlinux.org/title/System … nsupported if you think you are up to date, post

pacman -Q gtk3
lddtree /usr/bin/gtk-query-immodules-3.0 #In pax-utils package

Offline

#3 2022-11-18 08:28:44

owen
Member
Registered: 2022-11-18
Posts: 7

Re: Install ibus encounter issue

Thanks for the reply, here is the output, but I do not have lddtree and can not install it.

pacman -Q gtk3
gtk3 1:3.24.34+r156+g812b3930d0-1

ddtree /usr/bin/gtk-query-immodules-3.0
bash: lddtree: command not found

sudo pacman -S lddtree
error: target not found: lddtree

Offline

#4 2022-11-18 13:28:17

Scimmia
Fellow
Registered: 2012-09-01
Posts: 10,010

Re: Install ibus encounter issue

See pacman -F, or just read everything V1del wrote.

libicuuc.so.72 is the current version, so the problem isn't with gtk3, though, it's because you didn't update the icu package. You MUST update all packages on your system.

Online

#5 2022-11-18 14:55:10

owen
Member
Registered: 2022-11-18
Posts: 7

Re: Install ibus encounter issue

Thanks V1del, Scimmia, I know what I need to do now, pacman -Syu ibus.

Offline

Board footer

Powered by FluxBB